Portage is a package management system used by Gentoo Linux
# ChangeLog for media-tv/gentoo-vdr-scripts
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/ChangeLog,v 1.98 2008/08/28 09:25:13 zzam Exp $
*gentoo-vdr-scripts-0.4.5 (28 Aug 2008)
28 Aug 2008; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.5.ebuild:
New version 0.4.5 - content identical to rc2.
*gentoo-vdr-scripts-0.4.5_rc2 (14 Aug 2008)
14 Aug 2008; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.5_rc2.ebuild:
Version bumped. Added use-flag description to metadata.
*gentoo-vdr-scripts-0.4.5_rc1 (02 Aug 2008)
02 Aug 2008; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.5_rc1.ebuild:
Version bumped. This has changes to shutdown and locale handling. Ebuild
cleanup.
15 Jun 2008; Zac Medico
gentoo-vdr-scripts-0.4.0.ebuild, gentoo-vdr-scripts-0.4.1.ebuild,
gentoo-vdr-scripts-0.4.2.ebuild, gentoo-vdr-scripts-0.4.3.ebuild,
gentoo-vdr-scripts-0.4.3-r1.ebuild, gentoo-vdr-scripts-0.4.4.ebuild:
Bug #226505 - For compatibility with phase execution order in
>=portage-2.1.5, call has_version inside pkg_preinst instead of
pkg_postinst.
12 Jun 2008; Matthias Schwarzott
gentoo-vdr-scripts-0.4.4.ebuild:
Marked stable on x86.
*gentoo-vdr-scripts-0.4.4 (20 Apr 2008)
20 Apr 2008; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.4.ebuild:
Version bumped.
19 Apr 2008; Matthias Schwarzott
gentoo-vdr-scripts-0.4.3-r1.ebuild:
Stable 0.4.3-r1 on x86, to fix wakeup-reboot-script bug for stable
version.
*gentoo-vdr-scripts-0.4.3-r1 (19 Apr 2008)
19 Apr 2008; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.4.3-fix-wakeup-reboot.diff,
+gentoo-vdr-scripts-0.4.3-r1.ebuild:
Fix wakeup-reboot-script for baselayout-1.
22 Mar 2008; Matthias Schwarzott
gentoo-vdr-scripts-0.4.3.ebuild:
Marked stable on x86.
*gentoo-vdr-scripts-0.4.3 (23 Feb 2008)
23 Feb 2008; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.3.ebuild:
Version bumped. Most visible change is support of new kernel rtc interface
for wakeup and a general cleanup of the wakeup code. Should now also work
with baselayout-2/openrc.
11 Dec 2007; Matthias Schwarzott
gentoo-vdr-scripts-0.4.2.ebuild:
Marked stable on x86.
*gentoo-vdr-scripts-0.4.2 (08 Oct 2007)
08 Oct 2007; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.2.ebuild:
Added a new version that now contains vdrplugin-rebuild. So lets block that
ebuild.
*gentoo-vdr-scripts-0.4.1 (04 Oct 2007)
04 Oct 2007; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.1.ebuild:
Version bumped. This now absorbed vdr-dvd-scripts and thus blocks this package.
04 Oct 2007; Matthias Schwarzott
gentoo-vdr-scripts-0.4.0.ebuild:
Quoting cleanup
04 Oct 2007; Matthias Schwarzott
-files/gentoo-vdr-scripts-0.3.8-kill-dvbsplash.diff,
-files/gentoo-vdr-scripts-0.3.9-fix-shutdown.diff,
-gentoo-vdr-scripts-0.3.8.ebuild, -gentoo-vdr-scripts-0.3.8-r1.ebuild,
-gentoo-vdr-scripts-0.3.9-r1.ebuild, -gentoo-vdr-scripts-0.3.10.ebuild:
Removed older versions.
23 Sep 2007; Matthias Schwarzott
gentoo-vdr-scripts-0.4.0.ebuild:
Marked stable on x86.
*gentoo-vdr-scripts-0.4.0 (07 Jul 2007)
07 Jul 2007; Matthias Schwarzott
+gentoo-vdr-scripts-0.4.0.ebuild:
Version bumped. This version adds better support for vdr-1.5
*gentoo-vdr-scripts-0.3.10 (12 Jun 2007)
12 Jun 2007; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.10.ebuild:
Version bumped. This version should finally run with dash. Large speedup in
vdr-watchdog, and enabled it by default.
24 May 2007; Matthias Schwarzott
gentoo-vdr-scripts-0.3.8-r1.ebuild:
Marked stable on x86.
*gentoo-vdr-scripts-0.3.9-r1 (24 Apr 2007)
24 Apr 2007; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.3.9-fix-shutdown.diff,
-gentoo-vdr-scripts-0.3.9.ebuild, +gentoo-vdr-scripts-0.3.9-r1.ebuild:
Fixed shutdown problems of version 0.3.9.
*gentoo-vdr-scripts-0.3.9 (23 Apr 2007)
23 Apr 2007; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.9.ebuild:
Version bumped. Contains small fixes, and runs with baselayout-2 and without
bash.
*gentoo-vdr-scripts-0.3.8-r1 (15 Apr 2007)
15 Apr 2007; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.3.8-kill-dvbsplash.diff,
+gentoo-vdr-scripts-0.3.8-r1.ebuild:
Removed dvbsplash support to finally stop all related problems.
19 Mar 2007; Matthias Schwarzott
-gentoo-vdr-scripts-0.3.7.ebuild:
Removed old version.
13 Mar 2007; Matthias Schwarzott
gentoo-vdr-scripts-0.3.8.ebuild:
Marked stable on x86.
17 Feb 2007; Matthias Schwarzott
gentoo-vdr-scripts-0.3.7.ebuild, gentoo-vdr-scripts-0.3.8.ebuild:
No longer create video-directory to not have to work with ROOT (Bug
#167285), init-script can do that just fine.
11 Feb 2007; Joerg Bornkessel
gentoo-vdr-scripts-0.3.7.ebuild, gentoo-vdr-scripts-0.3.8.ebuild:
fixed user:group rights for VDR home DIR on install
31 Jan 2007; Joerg Bornkessel
gentoo-vdr-scripts-0.3.8.ebuild:
added missing ~ in SRC_URI
*gentoo-vdr-scripts-0.3.8 (31 Jan 2007)
31 Jan 2007; Joerg Bornkessel
+gentoo-vdr-scripts-0.3.8.ebuild:
Set default log-level to 3 to make logs more usefull.
Make the time to wait for running vdr configurable.
Move start-log file to tmp-folder.
Store list of plugins when starting vdr, to call correct rcaddons at stopping.
Creating empty channels.conf if none exists.
Added none-wakeup methode
18 Jan 2007; Matthias Schwarzott
-gentoo-vdr-scripts-0.3.6.ebuild:
Removed old ebuild.
09 Dec 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.3.7.ebuild:
Marked stable on x86.
30 Nov 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.3.7.ebuild:
Added warning about installed dvbsplash-initscript.
*gentoo-vdr-scripts-0.3.7 (07 Nov 2006)
07 Nov 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.7.ebuild:
New release. Contains changed configurations of active plugins. Ebuild
handles configuration-update. Now install nvram-shutdown-script always.
nvram-use-flag now only controlls depend to nvram-wakeup. Removed all hacked
ownership code. Generally cleaned it a bit up.
13 Sep 2006; Matthias Schwarzott
-files/gentoo-vdr-scripts-0.3.5-merged-file-permissions.diff,
-files/gentoo-vdr-scripts-0.3.5-skip-plugin.diff,
-files/vdr-bg-quoting.patch, -gentoo-vdr-scripts-0.3.4-r1.ebuild,
-gentoo-vdr-scripts-0.3.5-r2.ebuild:
Cleaned up older versions.
09 Aug 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.3.6.ebuild:
Marked stable on x86.
01 Aug 2006; Matthias Schwarzott
Assigned to VDR-Project.
12 Jul 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.3.6.ebuild:
Comment out old sudo-entry when adding new.
*gentoo-vdr-scripts-0.3.6 (09 Jul 2006)
09 Jul 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.6.ebuild:
Bumped version. Main change: The shutdown-script called via sudo was moved,
call emerge --config gentoo-vdr-scripts to update.
06 Jul 2006; Matthias Schwarzott
files/gentoo-vdr-scripts-0.3.5-merged-file-permissions.diff:
Corrected wrong path inside patch.
06 Jul 2006; Matthias Schwarzott
-gentoo-vdr-scripts-0.3.0-r1.ebuild, -gentoo-vdr-scripts-0.3.3-r1.ebuild:
Cleaned up old versions.
*gentoo-vdr-scripts-0.3.5-r2 (06 Jul 2006)
06 Jul 2006; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.3.5-merged-file-permissions.diff,
-gentoo-vdr-scripts-0.3.5-r1.ebuild, +gentoo-vdr-scripts-0.3.5-r2.ebuild:
Added patch to solve problems with restrictive umask, reported by timonator
on #gentoo-vdr.
28 Jun 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.3.4-r1.ebuild:
Marked stable on x86.
*gentoo-vdr-scripts-0.3.5-r1 (19 Jun 2006)
19 Jun 2006; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.3.5-skip-plugin.diff,
-gentoo-vdr-scripts-0.3.5.ebuild, +gentoo-vdr-scripts-0.3.5-r1.ebuild:
Added a patch to make the skip_plugin method work also on stopping of vdr.
*gentoo-vdr-scripts-0.3.5 (16 Jun 2006)
16 Jun 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.5.ebuild:
Version bumped. Contains large file-moves.
*gentoo-vdr-scripts-0.3.4-r1 (12 Jun 2006)
*gentoo-vdr-scripts-0.3.3-r1 (12 Jun 2006)
*gentoo-vdr-scripts-0.3.0-r1 (12 Jun 2006)
12 Jun 2006; Matthias Schwarzott
-files/gentoo-vdr-scripts-0.2.2-config-comment.patch,
-files/gentoo-vdr-scripts-0.2.2-config-comment-irctrl.patch,
-files/gentoo-vdr-scripts-0.2.3-chuid-option.patch,
-files/gentoo-vdr-scripts-0.2.3-sed-path.patch,
+files/vdr-bg-quoting.patch, -gentoo-vdr-scripts-0.3.0.ebuild,
+gentoo-vdr-scripts-0.3.0-r1.ebuild, -gentoo-vdr-scripts-0.3.3.ebuild,
+gentoo-vdr-scripts-0.3.3-r1.ebuild, -gentoo-vdr-scripts-0.3.4.ebuild,
+gentoo-vdr-scripts-0.3.4-r1.ebuild:
Backported correction of missing quotes.
12 Jun 2006; Matthias Schwarzott
-gentoo-vdr-scripts-0.2.2-r1.ebuild, -gentoo-vdr-scripts-0.2.3-r1.ebuild,
-gentoo-vdr-scripts-0.2.4.ebuild, -gentoo-vdr-scripts-0.3.1.ebuild,
-gentoo-vdr-scripts-0.3.2.ebuild:
Removed old and buggy versions.
*gentoo-vdr-scripts-0.3.4 (31 May 2006)
31 May 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.4.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.3.3 (17 May 2006)
17 May 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.3.ebuild:
Added bugfix release.
*gentoo-vdr-scripts-0.3.1 (03 May 2006)
03 May 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.1.ebuild:
Version bumped. This contains needed changes for vdr-1.4.0
27 Apr 2006; Marien Zwart
Fixing SHA256 digest, pass four
27 Apr 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.3.0.ebuild:
Marked stable on x86
17 Apr 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2.4.ebuild:
Marked stable on x86
*gentoo-vdr-scripts-0.3.0 (21 Mar 2006)
21 Mar 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.3.0.ebuild:
Version bumped.
20 Mar 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2.3-r1.ebuild:
Marked stable on x86
05 Mar 2006; Matthias Schwarzott
-files/gentoo-vdr-scripts-0.1_alpha1-merge-commands.diff,
-files/gentoo-vdr-scripts-0.1_alpha4-video-parameter.diff,
-gentoo-vdr-scripts-0.2_alpha3.ebuild,
-gentoo-vdr-scripts-0.2_alpha3-r1.ebuild, -gentoo-vdr-scripts-0.2.ebuild,
-gentoo-vdr-scripts-0.2.1.ebuild, -gentoo-vdr-scripts-0.2.2.ebuild,
-gentoo-vdr-scripts-0.2.3.ebuild:
cleaned up old ebuilds
*gentoo-vdr-scripts-0.2.4 (05 Mar 2006)
05 Mar 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2.4.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.2.2-r1 (13 Feb 2006)
13 Feb 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2.2-r1.ebuild:
corrected sed-path also in stable ebuild
*gentoo-vdr-scripts-0.2.3-r1 (12 Feb 2006)
12 Feb 2006; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.2.3-sed-path.patch,
+gentoo-vdr-scripts-0.2.3-r1.ebuild:
corrected path to sed
07 Feb 2006; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.2.2-config-comment-irctrl.patch,
gentoo-vdr-scripts-0.2.2.ebuild, gentoo-vdr-scripts-0.2.3.ebuild:
updated comments in config-file for >=vdr-1.3.36-r3, marked
gentoo-vdr-scripts-0.2.2 stable on x86
06 Feb 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2_alpha3-r1.ebuild:
Added missing variable definition (See bug #121826).
31 Jan 2006; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.2.3-chuid-option.patch,
gentoo-vdr-scripts-0.2.3.ebuild:
corrected error in handling of chuid-option for newer vdr-versions
31 Jan 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2.3.ebuild:
removed now no longer needed patch
*gentoo-vdr-scripts-0.2.3 (31 Jan 2006)
31 Jan 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2.3.ebuild:
Version bumped. New version is needed for vdr-1.3.41
21 Jan 2006; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.2.2-config-comment.patch,
gentoo-vdr-scripts-0.2.2.ebuild:
corrected wrong comment to a config-setting
13 Jan 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2_alpha3.ebuild,
gentoo-vdr-scripts-0.2_alpha3-r1.ebuild, gentoo-vdr-scripts-0.2.ebuild,
gentoo-vdr-scripts-0.2.1.ebuild, gentoo-vdr-scripts-0.2.2.ebuild:
changed SRC_URI to mirror://gentoo
*gentoo-vdr-scripts-0.2_alpha3-r1 (11 Jan 2006)
11 Jan 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha3-r1.ebuild:
backported permission-change code to stable ebuild
08 Jan 2006; Matthias Schwarzott
-gentoo-vdr-scripts-0.1.ebuild, -gentoo-vdr-scripts-0.2_alpha1.ebuild,
-gentoo-vdr-scripts-0.2_alpha2.ebuild,
-gentoo-vdr-scripts-0.2_alpha4.ebuild,
-gentoo-vdr-scripts-0.2_alpha4-r1.ebuild,
-gentoo-vdr-scripts-0.2_alpha5.ebuild,
-gentoo-vdr-scripts-0.2_alpha6.ebuild,
-gentoo-vdr-scripts-0.2_alpha6-r1.ebuild:
removed a lot of old versions
*gentoo-vdr-scripts-0.2.2 (07 Jan 2006)
07 Jan 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2.2.ebuild:
Version bumped. Commands can now be localized.
*gentoo-vdr-scripts-0.2.1 (06 Jan 2006)
06 Jan 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2.1.ebuild:
Version bumped. Corrected new feature periodic-shutdown-thread.
06 Jan 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2.ebuild:
corrected wrong make target (See Bug #117920)
04 Jan 2006; Matthias Schwarzott
gentoo-vdr-scripts-0.2.ebuild:
changed DEPEND to RDEPEND and added sudo
*gentoo-vdr-scripts-0.2 (03 Jan 2006)
03 Jan 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2.ebuild:
Version bumped. Contains method for nvram-reboot without need to tweak
boot-manager.
*gentoo-vdr-scripts-0.2_alpha6-r1 (02 Jan 2006)
02 Jan 2006; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha6-r1.ebuild:
added pkg_config-code to update /etc/sudoers
*gentoo-vdr-scripts-0.2_alpha6 (30 Dec 2005)
30 Dec 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha6.ebuild:
Version bumped. New nice shutdown-features in combination with newest
vdr-ebuild (>=vdr-1.3.36-r2).
*gentoo-vdr-scripts-0.2_alpha5 (29 Dec 2005)
29 Dec 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha5.ebuild:
Version bumped. This fixes some bugs in acpi-code.
*gentoo-vdr-scripts-0.2_alpha4-r1 (23 Dec 2005)
23 Dec 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha4-r1.ebuild:
Added code to correct directory-permissions for /etc/vdr & /var/vdr and
correct group membership of user vdr.
*gentoo-vdr-scripts-0.2_alpha4 (21 Dec 2005)
21 Dec 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha4.ebuild:
Version bumped. Creation of vdr user. New version has i.e. utf8-workaround,
some reorganizations, ...
15 Dec 2005; Matthias Schwarzott
gentoo-vdr-scripts-0.2_alpha3.ebuild:
Marked stable on x86.
10 Dec 2005; Michael Hanselmann
gentoo-vdr-scripts-0.2_alpha3.ebuild:
Added to ~ppc.
*gentoo-vdr-scripts-0.2_alpha3 (15 Nov 2005)
15 Nov 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha3.ebuild:
Version bumped. Contains one bugfix and a bit more compfort function.
*gentoo-vdr-scripts-0.2_alpha2 (05 Nov 2005)
05 Nov 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha2.ebuild:
Version bumped.
29 Oct 2005; Matthias Schwarzott
-gentoo-vdr-scripts-0.1_alpha1.ebuild,
-gentoo-vdr-scripts-0.1_alpha2.ebuild,
-gentoo-vdr-scripts-0.1_alpha3.ebuild,
-gentoo-vdr-scripts-0.1_alpha4.ebuild,
-gentoo-vdr-scripts-0.1_alpha5.ebuild,
-gentoo-vdr-scripts-0.1_alpha6.ebuild,
-gentoo-vdr-scripts-0.1_alpha7.ebuild,
-gentoo-vdr-scripts-0.1_alpha8.ebuild,
-gentoo-vdr-scripts-0.1_alpha9.ebuild,
-gentoo-vdr-scripts-0.1_alpha10.ebuild:
removed a lot of old versions
*gentoo-vdr-scripts-0.2_alpha1 (29 Oct 2005)
29 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.2_alpha1.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.1 (21 Oct 2005)
21 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.1_alpha10 (19 Oct 2005)
19 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha10.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.1_alpha9 (12 Oct 2005)
12 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha9.ebuild:
Version bumped.
11 Oct 2005; Matthias Schwarzott
Changed mail-address to be my gentoo.org address
*gentoo-vdr-scripts-0.1_alpha8 (08 Oct 2005)
08 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha8.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.1_alpha7 (08 Oct 2005)
08 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha7.ebuild:
Version bumped. Added useflag nvram.
*gentoo-vdr-scripts-0.1_alpha6 (03 Oct 2005)
03 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha6.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.1_alpha5 (02 Oct 2005)
02 Oct 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha5.ebuild:
Version bumped.
12 Sep 2005; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.1_alpha4-video-parameter.diff,
gentoo-vdr-scripts-0.1_alpha4.ebuild:
Added bugfix to avoid strange message at startup.
*gentoo-vdr-scripts-0.1_alpha4 (12 Sep 2005)
12 Sep 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha4.ebuild:
Version bumped.
*gentoo-vdr-scripts-0.1_alpha3 (09 Sep 2005)
09 Sep 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha3.ebuild:
Version bumped.
24 Aug 2005; Matthias Schwarzott
gentoo-vdr-scripts-0.1_alpha1.ebuild,
gentoo-vdr-scripts-0.1_alpha2.ebuild:
added IUSE
14 Aug 2005; Matthias Schwarzott
gentoo-vdr-scripts-0.1_alpha1.ebuild,
gentoo-vdr-scripts-0.1_alpha2.ebuild:
corrected typo in url-mirror-syntax
*gentoo-vdr-scripts-0.1_alpha2 (14 Aug 2005)
14 Aug 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha2.ebuild:
added new version with various bugfixes, new watchdog function, also works
on ~amd64
13 Aug 2005; Matthias Schwarzott
+files/gentoo-vdr-scripts-0.1_alpha1-merge-commands.diff,
gentoo-vdr-scripts-0.1_alpha1.ebuild:
added patch to correct ugly behaviour when creating commands.conf
*gentoo-vdr-scripts-0.1_alpha1 (13 Aug 2005)
13 Aug 2005; Matthias Schwarzott
+gentoo-vdr-scripts-0.1_alpha1.ebuild:
initial import of my vdr scripts package
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
AUX gentoo-vdr-scripts-0.4.3-fix-wakeup-reboot.diff 602 RMD160 65225f656eb3c5026502c02a291ad4d433b20401 SHA1 13c51cdc4953cdc751a5ec4a56919eb79e0be7db SHA256 671ac882d7c30b84d7d10d5c54ac2ccc264e6cd0ef2e7621bd3e62fd8a136042
DIST gentoo-vdr-scripts-0.4.0.tar.bz2 27936 RMD160 221063e8296281087b9d0f0031f7a37c405ff72d SHA1 d8f76b4c2977c0dc6d159111519ba0001b922440 SHA256 71ed687787aef0e9d263824505bd1244b6527bda95c0aa2c8ed408be53d2a301
DIST gentoo-vdr-scripts-0.4.1.tar.bz2 30683 RMD160 5dc4a9ef2e2a6ab6f3cea879c1a546a883ac9b7c SHA1 b29088a0746e27941984e6cf26f4e9046fd6c3f5 SHA256 5e5a826936523208994a64d12fd04421eaaf6de474d7bfa3ff1e6f08233c0d1f
DIST gentoo-vdr-scripts-0.4.2.tar.bz2 32110 RMD160 7c8bb70cb5a9e766b91ea57ec17786130448812e SHA1 e242092ae444cac1f835b56690f4449b4bffcca5 SHA256 1c3f10166e1a2012f4274d8b2c348243795603899195a3231b8c7cbf005f9e49
DIST gentoo-vdr-scripts-0.4.3.tar.bz2 33196 RMD160 29f0b8b1c0fdb6b4ad8d6604ad58dd34cccdf442 SHA1 162b15c6d9d508968040512507ca106f021f3f29 SHA256 68036e2fe63bc40e357b3e9e4a7be991c344875229393a6f2dbe0fc54425348f
DIST gentoo-vdr-scripts-0.4.4.tar.bz2 33500 RMD160 ef80dc1d3d6e483434ac1486297ce1a5dfdbec13 SHA1 420a6419ac1f0a06d56544b18b385e43def54c73 SHA256 8ee95144942b9ea5164fac2b068dc8698fc1114f34cc951b1c472c58f33ebf3c
DIST gentoo-vdr-scripts-0.4.5.tar.bz2 35411 RMD160 d7e47effaeccbb527ce4fbc997ee11aa09e1c6e5 SHA1 17c0a631359b977a8be7ff01141465f76c35c144 SHA256 4883c59e0a8cc7625fde24609501baf0e0d265de266a4a3777cd0ad6e60cf406
DIST gentoo-vdr-scripts-0.4.5_rc1.tar.bz2 35532 RMD160 9f8640734da9c697cbe0df3ebf51f6b96878c487 SHA1 feb2b52c1f25b1f44bd9e1f2045b0d18817c9088 SHA256 662e7c708dd07e1968c104209cae6d35568bc4722825d4f01e942c0029e3e28c
DIST gentoo-vdr-scripts-0.4.5_rc2.tar.bz2 35423 RMD160 96879f5a5047ba18c49652934bba2791c3cdf73f SHA1 6f403716d13fe17ab5a0333dd4b0f277a8edde49 SHA256 9b11ad8c40f572641e8b7051d2184a79c9f2688d8a09464585c1dc80c92cdf21
EBUILD gentoo-vdr-scripts-0.4.0.ebuild 3829 RMD160 78a0e6f0706e2e98148bd48f9e7e2ecc15dcfff1 SHA1 c736bd058284e4aa350dbe8a1928fc9ff51f22b2 SHA256 0ba19e54c81eed852953ffd8206671fcf0b37baf3ab3e7d85a51f4a2c008edc4
EBUILD gentoo-vdr-scripts-0.4.1.ebuild 4132 RMD160 7742c5dc2bcafe63ae0954f498e2319983e2f0d3 SHA1 a985f383fc7405ee0bd18036b8af40d4a265ac9c SHA256 6dcb8558464f0fcba8b14c08a66d5b871c890851954601fc80e3e42f0f1c3498
EBUILD gentoo-vdr-scripts-0.4.2.ebuild 4160 RMD160 49ff19e8f87f83cd924fd00000f940792ecdd846 SHA1 0e61ffcde9ff744d1ab955980dbdd66056ec492c SHA256 7e0397dee5134cf56b156400c5fb935183661b4cbc9b386bd904ef96b9e52e47
EBUILD gentoo-vdr-scripts-0.4.3-r1.ebuild 4255 RMD160 ed59150dc900a58a8dab685eb692f78ca1bbccc1 SHA1 e1ee853d3510df6d5225bed1be54a22ab329c896 SHA256 d4cb4470d5d61142cca6e351595b892fc63f084d09bd8625cce9b7922486689f
EBUILD gentoo-vdr-scripts-0.4.3.ebuild 4160 RMD160 7c8f405c8538574a66a0ba01ac5387b437d6aa65 SHA1 7ef58c09f5b824e0422e68c9f852c1e5f26c3990 SHA256 bee752b252028b92aac0da0b0f279b4735eb0d2541a95d3e28bab2ffc79eb2d2
EBUILD gentoo-vdr-scripts-0.4.4.ebuild 4160 RMD160 554687fb50f3f4d704d8804c29489b987f28346d SHA1 80d3a666d609be4235f162296beee66fb471e749 SHA256 1a12fe3cfb03e8d2cd66630d4bfe024ebc095b04dd4e97c2ebdb2f9b1b62f9bc
EBUILD gentoo-vdr-scripts-0.4.5.ebuild 3475 RMD160 8f8f85b4f67d15cf8d7b7444a3295eec9037c70c SHA1 068594a244dd22263233ac64385abbb648babe9e SHA256 ef08a5ba93f3d7a346bfd460de6fd3ea85b5beb879ecc51397aab1720d7b30a9
EBUILD gentoo-vdr-scripts-0.4.5_rc1.ebuild 3479 RMD160 f6ad4d93df837464deb881d78c47f03d43f536ff SHA1 0a6209c42218c1bd4705fa7087fbb015028b4fc2 SHA256 7e9a4c5ae3e33bafaa5900169e852ff067e3520e279a417daef91896c03a3a95
EBUILD gentoo-vdr-scripts-0.4.5_rc2.ebuild 3479 RMD160 52eae58354fe566ec0b28c4d59154b3b6b7b645a SHA1 57a92543084caa9dea51d156b285d36f08b45593 SHA256 3763270693a927aef1e34123f8ff87f39c9f6681b00b21a411531d8026c377da
MISC ChangeLog 19913 RMD160 cdb77e1987391d3c4a461f1391051ec70c3ab92f SHA1 9c82886b12278ee14b18393fe3383d2e405536aa SHA256 401e12aafccd626cc87d16668799fa24303175125cadc1b1b1bf16956cfae5d7
MISC metadata.xml 366 RMD160 2c6ee9297820274dce664dfc05d65b36b5342984 SHA1 6e0c2ac753886340601e6058e5c306e0fbc1c760 SHA256 a92d2326d3f734f176d63173dd3a19fa2cd3b9744ee142cd3e4fb0771d08fd29
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
iEYEARECAAYFAki2bv8ACgkQt2vP6XvVdOcRLACdG3EzFWptACsrWj0LoR2+z5i0
dloAoLN2br1KG77pdLG72Ajb44PbttGk
=nikY
-----END PGP SIGNATURE-----
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.0.ebuild,v 1.5 2008/06/15 08:13:58 zmedico Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
local myopts=""
if use nvram ; then
myopts="${myopts} NVRAM=1"
fi
emake -s install DESTDIR="${D}" ${myopts} || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
einfo "Smart updating /etc/conf.d/vdr.plugins"
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
einfo "Using existing /etc/conf.d/vdr.plugins"
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Using PLUGINS from /etc/conf.d/vdr"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
has_version "<${CATEGORY}/${PN}-0.3.6"
previous_less_than_0_3_6=$?
has_version "<${CATEGORY}/${PN}-0.3.7"
previous_less_than_0_3_7=$?
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
if [[ $previous_less_than_0_3_6 = 0 ]] ; then
ewarn
ewarn "A shutdown-file has been changed."
ewarn "You really have to execute"
ewarn "\temerge --config gentoo-vdr-scripts"
ewarn "to keep shutdown working."
ewarn
ebeep 5
else
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
fi
if ! use nvram ; then
elog "nvram wakeup is now optional."
elog "To make use of it enable the use flag nvram for ${PN}"
elog "or just emerge nvram-wakeup."
fi
if [[ $previous_less_than_0_3_7 = 0 ]] ; then
einfo
einfo "Plugins which should be used are now set via its"
einfo "own config-file called /etc/conf.d/vdr.plugins"
einfo
einfo "Smart updating should have moved all your settings"
einfo
fi
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.1.ebuild,v 1.2 2008/06/15 08:13:58 zmedico Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
local myopts=""
if use nvram ; then
myopts="${myopts} NVRAM=1"
fi
emake -s install DESTDIR="${D}" ${myopts} || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
einfo "Smart updating /etc/conf.d/vdr.plugins"
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
einfo "Using existing /etc/conf.d/vdr.plugins"
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Using PLUGINS from /etc/conf.d/vdr"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
has_version "<${CATEGORY}/${PN}-0.3.6"
previous_less_than_0_3_6=$?
has_version "<${CATEGORY}/${PN}-0.3.7"
previous_less_than_0_3_7=$?
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
if [[ $previous_less_than_0_3_6 = 0 ]] ; then
ewarn
ewarn "A shutdown-file has been changed."
ewarn "You really have to execute"
ewarn "\temerge --config gentoo-vdr-scripts"
ewarn "to keep shutdown working."
ewarn
ebeep 5
else
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
fi
if ! use nvram ; then
elog "nvram wakeup is now optional."
elog "To make use of it enable the use flag nvram for ${PN}"
elog "or just emerge nvram-wakeup."
fi
if [[ $previous_less_than_0_3_7 = 0 ]] ; then
einfo
einfo "Plugins which should be used are now set via its"
einfo "own config-file called /etc/conf.d/vdr.plugins"
einfo
einfo "Smart updating should have moved all your settings"
einfo
fi
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.2.ebuild,v 1.3 2008/06/15 08:13:58 zmedico Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
local myopts=""
if use nvram ; then
myopts="${myopts} NVRAM=1"
fi
emake -s install DESTDIR="${D}" ${myopts} || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
einfo "Smart updating /etc/conf.d/vdr.plugins"
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
einfo "Using existing /etc/conf.d/vdr.plugins"
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Using PLUGINS from /etc/conf.d/vdr"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
has_version "<${CATEGORY}/${PN}-0.3.6"
previous_less_than_0_3_6=$?
has_version "<${CATEGORY}/${PN}-0.3.7"
previous_less_than_0_3_7=$?
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
if [[ $previous_less_than_0_3_6 = 0 ]] ; then
ewarn
ewarn "A shutdown-file has been changed."
ewarn "You really have to execute"
ewarn "\temerge --config gentoo-vdr-scripts"
ewarn "to keep shutdown working."
ewarn
ebeep 5
else
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
fi
if ! use nvram ; then
elog "nvram wakeup is now optional."
elog "To make use of it enable the use flag nvram for ${PN}"
elog "or just emerge nvram-wakeup."
fi
if [[ $previous_less_than_0_3_7 = 0 ]] ; then
einfo
einfo "Plugins which should be used are now set via its"
einfo "own config-file called /etc/conf.d/vdr.plugins"
einfo
einfo "Smart updating should have moved all your settings"
einfo
fi
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.3-r1.ebuild,v 1.3 2008/06/15 08:13:58 zmedico Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}/${P}-fix-wakeup-reboot.diff"
}
src_install() {
local myopts=""
if use nvram ; then
myopts="${myopts} NVRAM=1"
fi
emake -s install DESTDIR="${D}" ${myopts} || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
einfo "Smart updating /etc/conf.d/vdr.plugins"
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
einfo "Using existing /etc/conf.d/vdr.plugins"
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Using PLUGINS from /etc/conf.d/vdr"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
has_version "<${CATEGORY}/${PN}-0.3.6"
previous_less_than_0_3_6=$?
has_version "<${CATEGORY}/${PN}-0.3.7"
previous_less_than_0_3_7=$?
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
if [[ $previous_less_than_0_3_6 = 0 ]] ; then
ewarn
ewarn "A shutdown-file has been changed."
ewarn "You really have to execute"
ewarn "\temerge --config gentoo-vdr-scripts"
ewarn "to keep shutdown working."
ewarn
ebeep 5
else
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
fi
if ! use nvram ; then
elog "nvram wakeup is now optional."
elog "To make use of it enable the use flag nvram for ${PN}"
elog "or just emerge nvram-wakeup."
fi
if [[ $previous_less_than_0_3_7 = 0 ]] ; then
einfo
einfo "Plugins which should be used are now set via its"
einfo "own config-file called /etc/conf.d/vdr.plugins"
einfo
einfo "Smart updating should have moved all your settings"
einfo
fi
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.3.ebuild,v 1.3 2008/06/15 08:13:58 zmedico Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
local myopts=""
if use nvram ; then
myopts="${myopts} NVRAM=1"
fi
emake -s install DESTDIR="${D}" ${myopts} || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
einfo "Smart updating /etc/conf.d/vdr.plugins"
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
einfo "Using existing /etc/conf.d/vdr.plugins"
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Using PLUGINS from /etc/conf.d/vdr"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
has_version "<${CATEGORY}/${PN}-0.3.6"
previous_less_than_0_3_6=$?
has_version "<${CATEGORY}/${PN}-0.3.7"
previous_less_than_0_3_7=$?
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
if [[ $previous_less_than_0_3_6 = 0 ]] ; then
ewarn
ewarn "A shutdown-file has been changed."
ewarn "You really have to execute"
ewarn "\temerge --config gentoo-vdr-scripts"
ewarn "to keep shutdown working."
ewarn
ebeep 5
else
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
fi
if ! use nvram ; then
elog "nvram wakeup is now optional."
elog "To make use of it enable the use flag nvram for ${PN}"
elog "or just emerge nvram-wakeup."
fi
if [[ $previous_less_than_0_3_7 = 0 ]] ; then
einfo
einfo "Plugins which should be used are now set via its"
einfo "own config-file called /etc/conf.d/vdr.plugins"
einfo
einfo "Smart updating should have moved all your settings"
einfo
fi
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.4.ebuild,v 1.3 2008/06/15 08:13:58 zmedico Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
local myopts=""
if use nvram ; then
myopts="${myopts} NVRAM=1"
fi
emake -s install DESTDIR="${D}" ${myopts} || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
einfo "Smart updating /etc/conf.d/vdr.plugins"
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
einfo "Using existing /etc/conf.d/vdr.plugins"
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Using PLUGINS from /etc/conf.d/vdr"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
has_version "<${CATEGORY}/${PN}-0.3.6"
previous_less_than_0_3_6=$?
has_version "<${CATEGORY}/${PN}-0.3.7"
previous_less_than_0_3_7=$?
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
if [[ $previous_less_than_0_3_6 = 0 ]] ; then
ewarn
ewarn "A shutdown-file has been changed."
ewarn "You really have to execute"
ewarn "\temerge --config gentoo-vdr-scripts"
ewarn "to keep shutdown working."
ewarn
ebeep 5
else
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
fi
if ! use nvram ; then
elog "nvram wakeup is now optional."
elog "To make use of it enable the use flag nvram for ${PN}"
elog "or just emerge nvram-wakeup."
fi
if [[ $previous_less_than_0_3_7 = 0 ]] ; then
einfo
einfo "Plugins which should be used are now set via its"
einfo "own config-file called /etc/conf.d/vdr.plugins"
einfo
einfo "Smart updating should have moved all your settings"
einfo
fi
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.5.ebuild,v 1.1 2008/08/28 09:25:13 zzam Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
emake -s install DESTDIR="${D}" || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Migrating PLUGINS setting from /etc/conf.d/vdr to /etc/conf.d/vdr.plugins"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
elog "nvram wakeup is optional."
elog "To make use of it emerge sys-power/nvram-wakeup."
elog
elog "Plugins which should be used are now set via its"
elog "own config-file called /etc/conf.d/vdr.plugins"
elog "or enabled via the frontend eselect vdr-plugin."
elog
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.5_rc1.ebuild,v 1.1 2008/08/02 21:03:05 zzam Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
emake -s install DESTDIR="${D}" || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Migrating PLUGINS setting from /etc/conf.d/vdr to /etc/conf.d/vdr.plugins"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
elog "nvram wakeup is optional."
elog "To make use of it emerge sys-power/nvram-wakeup."
elog
elog "Plugins which should be used are now set via its"
elog "own config-file called /etc/conf.d/vdr.plugins"
elog "or enabled via the frontend eselect vdr-plugin."
elog
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-0.4.5_rc2.ebuild,v 1.1 2008/08/14 17:56:01 zzam Exp $
inherit eutils
DESCRIPTION="Scripts necessary for use of vdr as a set-top-box"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2
http://dev.gentoo.org/~zzam/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="nvram"
RDEPEND="nvram? ( sys-power/nvram-wakeup )
app-admin/sudo
!media-tv/vdr-dvd-scripts
!media-tv/vdrplugin-rebuild"
VDR_HOME=/var/vdr
pkg_setup() {
enewgroup vdr
# Add user vdr to these groups:
# video - accessing dvb-devices
# audio - playing sound when using software-devices
# cdrom - playing dvds/audio-cds ...
enewuser vdr -1 /bin/bash "${VDR_HOME}" vdr,video,audio,cdrom
}
src_install() {
emake -s install DESTDIR="${D}" || die "make install failed"
dodoc README TODO ChangeLog
# create necessary directories
diropts -ovdr -gvdr
keepdir "${VDR_HOME}"
local kd
for kd in shutdown-data merged-config-files dvd-images tmp; do
keepdir "${VDR_HOME}/${kd}"
done
}
pkg_preinst() {
local PLUGINS_NEW=0
if [[ -f "${ROOT}"/etc/conf.d/vdr.plugins ]]; then
PLUGINS_NEW=$(grep -v '^#' "${ROOT}"/etc/conf.d/vdr.plugins |grep -v '^$'|wc -l)
fi
if [[ ${PLUGINS_NEW} > 0 ]]; then
cp "${ROOT}"/etc/conf.d/vdr.plugins "${D}"/etc/conf.d/vdr.plugins
else
einfo "Migrating PLUGINS setting from /etc/conf.d/vdr to /etc/conf.d/vdr.plugins"
local PLUGIN
for PLUGIN in $(source "${ROOT}"/etc/conf.d/vdr;echo $PLUGINS); do
echo ${PLUGIN} >> "${D}"/etc/conf.d/vdr.plugins
done
fi
}
VDRSUDOENTRY="vdr ALL=NOPASSWD:/usr/share/vdr/bin/vdrshutdown-really.sh"
pkg_postinst() {
elog
elog "To make shutdown work add this line to /etc/sudoers"
elog "\t${VDRSUDOENTRY}"
elog
elog "or execute this command:"
elog "\temerge --config gentoo-vdr-scripts"
elog
elog "nvram wakeup is optional."
elog "To make use of it emerge sys-power/nvram-wakeup."
elog
elog "Plugins which should be used are now set via its"
elog "own config-file called /etc/conf.d/vdr.plugins"
elog "or enabled via the frontend eselect vdr-plugin."
elog
if [[ -f "${ROOT}/etc/init.d/dvbsplash" ]]; then
ewarn
ewarn "You have dvbsplash installed!"
ewarn "/etc/init.d/dvbsplash will now be deleted"
ewarn "as it causes difficult to debug problems."
ewarn
rm "${ROOT}/etc/init.d/dvbsplash"
fi
if [[ -f "${ROOT}"/etc/conf.d/vdr.dvdswitch ]] &&
grep -q ^DVDSWITCH_BURNSPEED= "${ROOT}"/etc/conf.d/vdr.dvdswitch
then
ewarn "You are setting DVDSWITCH_BURNSPEED in /etc/conf.d/vdr.dvdswitch"
ewarn "This no longer has any effect, please use"
ewarn "VDR_DVDBURNSPEED in /etc/conf.d/vdr.cd-dvd"
fi
}
pkg_config() {
if grep -q /usr/share/vdr/bin/vdrshutdown-really.sh "${ROOT}"/etc/sudoers; then
einfo "sudoers-entry for vdr already in place."
else
einfo "Adding this line to /etc/sudoers:"
einfo "+ ${VDRSUDOENTRY}"
cd "${T}"
cat >sudoedit-vdr.sh <<-SUDOEDITOR
#!/bin/bash
echo Commenting out old entry
sed -i \${1} -e '/\/usr\/lib\/vdr\/bin\/vdrshutdown-really.sh/s/^/#/'
echo Adding new entry
echo "" >> \${1}
echo "${VDRSUDOENTRY}" >> \${1}
SUDOEDITOR
chmod a+x sudoedit-vdr.sh
VISUAL="${T}"/sudoedit-vdr.sh visudo -f "${ROOT}"/etc/sudoers || die "visudo failed"
einfo "Edited /etc/sudoers"
fi
}